package org.bench4q.recorder.httpcapture.generator;

public class ChildrenUrl {
	private String url;
	private int parentBatchId;

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public int getParentBatchId() {
		return parentBatchId;
	}

	public void setParentBatchId(int parentBatchId) {
		this.parentBatchId = parentBatchId;
	}

	public static ChildrenUrl createChilldUrl(String url, int parentBatchId) {
		ChildrenUrl ret = new ChildrenUrl();
		ret.setParentBatchId(parentBatchId);
		ret.setUrl(url);
		return ret;
	}
}
